package com.gxwebsoft.open.service;

import me.chanjar.weixin.common.error.WxErrorException;
import me.chanjar.weixin.mp.bean.template.WxMpTemplateData;

import java.util.List;

public interface OfficeMpServiceImpl {
    void setMenu() throws WxErrorException;

    void sendTemplateMsg(String toUser, String templateId, String url, List<WxMpTemplateData> data) throws WxErrorException;

    void sendTVCheckMessage(String openid, String title, String openUserName) throws WxErrorException;

    void sendShopCheckMessage(String openid, String projectName, String openUserName) throws WxErrorException;

    void sendSendMessage(String openid, String projectName, String workType, String url) throws WxErrorException;

    void expressSendMessage(String openid, String orderNum, String goodsName, String address) throws WxErrorException;
}
